BSON_AS_JSON(3)

WARNING:
        Deprecated since version 1.29.0: Use bson_as_canonical_extended_json() and bson_as_relaxed_extended_json() instead, which use the same MongoDB Extended JSON format as all other MongoDB drivers.

        To continue producing Legacy Extended JSON, use bson_as_legacy_extended_json().

SYNOPSIS

            char *
            bson_as_json (const bson_t *bson, size_t *length);

PARAMETERS

    •   bson: A bson_t.

    •   length: An optional location for the length of the resulting string.

DESCRIPTION

bson_as_json() encodes bson as a UTF-8 string using libbson's Legacy Extended JSON.

The caller is responsible for freeing the resulting UTF-8 encoded string by calling bson_free() with the result.

If non-NULL, length will be set to the length of the result in bytes.

RETURNS

If successful, a newly allocated UTF-8 encoded string and length is set.

Upon failure, NULL is returned.

AUTHOR
MongoDB, Inc

COPYRIGHT
2009-present, MongoDB, Inc.